#!/usr/bin/ruby
def generate
  if File.exists?(@features_dir)
    say("<%= color('A features directory already exists. Aborting!', :error) %>")
    exit 1
  else
    choices = "yn"
    answer = ask("<%= color('Create features base directory? [#{choices}]?', :warn) %>") do |q|
      q.echo      = false
      q.character = true
      q.validate  = /\A[#{choices}]\Z/
    end

    if answer == 'y'
      FileUtils.cp_r(@source_dir, @features_dir)
      say("\n<%= color('Created features directory! Success!', :success) %>")
    else
      say("\n<%= color('No features directory created!', :warn) %>")
    end
  end
end